/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#include "RoutingAdvertisement.h"

static asn_TYPE_member_t asn_MBR_RoutingAdvertisement_1[] = {
	{ ATF_NOFLAGS, 0, offsetof(struct RoutingAdvertisement, lifetime),
		(ASN_TAG_CLASS_CONTEXT | (0 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_RouterLifetime,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"lifetime"
		},
	{ ATF_NOFLAGS, 0, offsetof(struct RoutingAdvertisement, ipPrefix),
		(ASN_TAG_CLASS_CONTEXT | (1 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_IpV6Prefix,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"ipPrefix"
		},
	{ ATF_NOFLAGS, 0, offsetof(struct RoutingAdvertisement, ipPrefixLength),
		(ASN_TAG_CLASS_CONTEXT | (2 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_IpV6PrefixLength,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"ipPrefixLength"
		},
	{ ATF_NOFLAGS, 0, offsetof(struct RoutingAdvertisement, defaultGateway),
		(ASN_TAG_CLASS_CONTEXT | (3 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_IPv6Address,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"defaultGateway"
		},
	{ ATF_NOFLAGS, 0, offsetof(struct RoutingAdvertisement, primaryDns),
		(ASN_TAG_CLASS_CONTEXT | (4 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_IPv6Address,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"primaryDns"
		},
	{ ATF_NOFLAGS, 0, offsetof(struct RoutingAdvertisement, extensions),
		(ASN_TAG_CLASS_CONTEXT | (5 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_RoutAdvertExts,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"extensions"
		},
};
static const ber_tlv_tag_t asn_DEF_RoutingAdvertisement_tags_1[] = {
	(ASN_TAG_CLASS_UNIVERSAL | (16 << 2))
};
static const asn_TYPE_tag2member_t asn_MAP_RoutingAdvertisement_tag2el_1[] = {
    { (ASN_TAG_CLASS_CONTEXT | (0 << 2)), 0, 0, 0 }, /* lifetime */
    { (ASN_TAG_CLASS_CONTEXT | (1 << 2)), 1, 0, 0 }, /* ipPrefix */
    { (ASN_TAG_CLASS_CONTEXT | (2 << 2)), 2, 0, 0 }, /* ipPrefixLength */
    { (ASN_TAG_CLASS_CONTEXT | (3 << 2)), 3, 0, 0 }, /* defaultGateway */
    { (ASN_TAG_CLASS_CONTEXT | (4 << 2)), 4, 0, 0 }, /* primaryDns */
    { (ASN_TAG_CLASS_CONTEXT | (5 << 2)), 5, 0, 0 } /* extensions */
};
static asn_SEQUENCE_specifics_t asn_SPC_RoutingAdvertisement_specs_1 = {
	sizeof(struct RoutingAdvertisement),
	offsetof(struct RoutingAdvertisement, _asn_ctx),
	asn_MAP_RoutingAdvertisement_tag2el_1,
	6,	/* Count of tags in the map */
	0, 0, 0,	/* Optional elements (not needed) */
	-1,	/* Start extensions */
	-1	/* Stop extensions */
};
asn_TYPE_descriptor_t asn_DEF_RoutingAdvertisement = {
	"RoutingAdvertisement",
	"RoutingAdvertisement",
	SEQUENCE_free,
	SEQUENCE_print,
	SEQUENCE_constraint,
	SEQUENCE_decode_ber,
	SEQUENCE_encode_der,
	SEQUENCE_decode_xer,
	SEQUENCE_encode_xer,
	SEQUENCE_decode_uper,
	SEQUENCE_encode_uper,
	0,	/* Use generic outmost tag fetcher */
	asn_DEF_RoutingAdvertisement_tags_1,
	sizeof(asn_DEF_RoutingAdvertisement_tags_1)
		/sizeof(asn_DEF_RoutingAdvertisement_tags_1[0]), /* 1 */
	asn_DEF_RoutingAdvertisement_tags_1,	/* Same as above */
	sizeof(asn_DEF_RoutingAdvertisement_tags_1)
		/sizeof(asn_DEF_RoutingAdvertisement_tags_1[0]), /* 1 */
	0,	/* No PER visible constraints */
	asn_MBR_RoutingAdvertisement_1,
	6,	/* Elements count */
	&asn_SPC_RoutingAdvertisement_specs_1	/* Additional specs */
};

